Package ch.qos.logback.core.net

# Interface SocketConnector.ExceptionHandler

All Known Implementing Classes:
  `AbstractSocketAppender`, `AbstractSSLSocketAppender`, `SocketAppender`, `SocketAppender`, `SocketReceiver`, `SSLSocketAppender`, `SSLSocketAppender`, `SSLSocketReceiver`

Enclosing interface:
  SocketConnector

public static interface SocketConnector.ExceptionHandler
An exception handler that is notified of all exceptions that occur during the (re)connection process.

## Method Summary

Modifier and Type
Method
Description
`void`
`connectionFailed(SocketConnector connector, Exception ex)`

## Method Details

### connectionFailed

void connectionFailed(SocketConnector connector, Exception ex)